Description: Switch from python-gtkmozembed to python-webkit
Author: Chris Coulson <chris.coulson@canonical.com>

--- a/freespeak/ui/translation.py
+++ b/freespeak/ui/translation.py
@@ -24,7 +24,7 @@ Classes for building translation pages
 """
 
 import gtk
-import gtkmozembed
+import webkit
 import gtkspell
 import gnome
 
@@ -456,8 +456,9 @@ class WebTranslation (BaseUITranslation)
         self.layout.pack_start (hbox, False)
 
         # Browser
-        self.browser = gtkmozembed.MozEmbed ()
-        self.browser.connect ('net-stop', self.on_browser_net_stop)
+        self.browser = webkit.WebView ()
+        self.browser.connect ('load-finished', self.on_browser_net_stop)
+        self.browser.connect ('load-error', self.on_browser_net_stop)
         self.browser.show ()
         self.layout.pack_start (self.browser)
 
@@ -524,13 +525,13 @@ class WebTranslation (BaseUITranslation)
         """
         if isinstance (status, StatusWebComplete):
             self.dest_url.set_uri (status.result)
-            self.browser.load_url (status.result)
+            self.browser.load_uri (status.result)
             self.application.clipboard.set_contents (status.result)
             self.progress.set_text (_("Fetching page..."))
             return
 
         if isinstance (status, StatusCancelled):
-            self.browser.stop_load ()
+            self.browser.stop_loading ()
         
         BaseUITranslation.update_status (self, status)
 
@@ -571,7 +572,7 @@ class WebTranslation (BaseUITranslation)
         self.application.clipboard.set_contents (self.dest_url.get_uri (),
                                                  force=True)
 
-    def on_browser_net_stop (self, browser):
+    def on_browser_net_stop (self, *args):
         """
         Check whether the browser finished loading the page then
         update the translation widget
